Bug 242605 - [chewing] Candidate list (symbol) page change inaccracy.
Summary: [chewing] Candidate list (symbol) page change inaccracy.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libchewing (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Caius Chance
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On: 237916
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-05 00:50 UTC by Caius Chance
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-05 02:52:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Caius Chance 2007-06-05 00:50:23 UTC
+++ This bug was initially created as a clone of Bug #237916 +++

+++ This bug was initially created as a clone of Bug #220290 +++

+++ This bug was initially created as a clone of Bug #218565 +++

Description of problem:


Version-Release number of selected component (if applicable):
RHEL5-Client-20061201.0
scim-1.4.4-39.el5
scim-chewing-0.3.1-10.el5

How reproducible:
always

Steps to Reproduce:
1.log in zh_TW locale
2.start gedit
3.ctrl-space to bring up Chewing IM and type '=' 
4.SPACE SPACE to bring up candiate window
5.press SPACEs few times.
7.observe the pre-edit buffer
  
Actual results:
Lookup table pages with candidates of last page and previous look-up.

Expected results:
Lookup table pages with exact valid candidates.

Additional info:

Used libchewing test suite:

1. in upstream's svn trunk
2. make check
3. ./genkeystroke test.txt
4. then keyin

which shows libchewing works fine.

-- Additional comment from pm-rhel@redhat.com on 2006-12-20 09:00 EST --
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

-- Additional comment from cchance@redhat.com on 2007-01-02 20:01 EST --
As bug #218565 (bug #220288) has been fixed. The symptom was narrowed.

=====

Description of problem:


Version-Release number of selected component (if applicable):
RHEL5-Client-20061201.0
scim-1.4.4-39.el5
scim-chewing-0.3.1-10.el5

How reproducible:
always

Steps to Reproduce:
1.log in zh_TW locale
2.start gedit
3.ctrl-space to bring up Chewing IM and type '=' 
4.SPACE SPACE to bring up candiate window
5.press SPACEs few times.
7.observe the pre-edit buffer
  
Actual results:
Lookup table pages with certain symbol candidates of last page.

Expected results:
Lookup table pages with exact valid symbol candidates.

Additional info:

Used libchewing test suite:

1. in upstream's svn trunk
2. make check
3. ./genkeystroke test.txt
4. then keyin

which shows libchewing works fine.

-- Additional comment from llch@redhat.com on 2007-02-08 00:24 EST --
Moving to rhel-5.1.0->'?'

-- Additional comment from cchance@redhat.com on 2007-04-25 21:31 EST --
In progress of defect source search.

-- Additional comment from cchance@redhat.com on 2007-04-25 22:18 EST --
1. When candidate list page is changed, the first two candidates are popped and
the list is moved up, and so on.

2. All displayed characters including those after page change are commitable.

3. Upstream's version seems to w/o this issue.

-- Additional comment from cchance@redhat.com on 2007-04-30 01:08 EST --
This bug should be solved in advanced of bug #220290.

-- Additional comment from cchance@redhat.com on 2007-06-04 00:18 EST --
Built in rawhide.

Comment 1 Caius Chance 2007-06-05 02:52:48 UTC
Patched, tested, built, pushed to testing.


Note You need to log in before you can comment on or make changes to this bug.